Skip to main content

GlobalMeet 4.0 is here. Check out release notes, register for a learning session or watch a video highlighting new GlobalMeet features.

GlobalMeet 4.0 is here. Check out release notes, register for a learning session or watch a video highlighting new GlobalMeet features.

Meeting Support

Is GlobalMeet for Outlook available for Mac users?

As of 8/11/2017, we're pleased to announce support for Outlook 2016 for Mac. Learn how to add it.

Note:  You must have Outlook 2016 for Mac and MacOS 10.11 or newer.  Additionally, all users must have:

  • A Microsoft Exchange mailbox (work or school) on Exchange Online, Exchange 2013 or a new release
  • Reading Pane displayed in Outlook
  • Permission to install Outlook Add-Ins via a URL